---
dependency:
  name: galaxy
  options:
    force: true
    role-file: "meta/requirements.yml"
driver:
  name: docker
platforms:
  - name: "${ENV_ROLE_NAME}-${MOLECULE_SCENARIO_NAME}-debian${ENV_OS_VERSION_DEBIAN}"
    image: "debian:${ENV_OS_VERSION_DEBIAN}"
    env:
      ANSIBLE_USER: "${ENV_ANSIBLE_USER}"
      SUDO_GROUP: "${ENV_SUDO_GROUP_DEBIAN}"
    command: ${ENV_PLATFORM_COMMAND}

  - name: "${ENV_ROLE_NAME}-${MOLECULE_SCENARIO_NAME}-ubuntu${ENV_OS_VERSION_UBUNTU}"
    image: "ubuntu:${ENV_OS_VERSION_UBUNTU}"
    env:
      ANSIBLE_USER: "${ENV_ANSIBLE_USER}"
      SUDO_GROUP: "${ENV_SUDO_GROUP_DEBIAN}"
    command: ${ENV_PLATFORM_COMMAND}
provisioner:
  name: ansible
  inventory:
    links:
      group_vars: "../resources/inventory/group_vars/"
  playbooks:
    prepare: "../resources/playbooks/prepare.yml"
verifier:
  name: ansible
